
package de.ivu.elect.presentation.wahlbeteiligung.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.wahlbeteiligung.menu.WahlbeteiligungPageMenu;

public class WahlbeteiligungVerlaufImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getImportSearchViewId() {
    return WahlbeteiligungVerlaufImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return WahlbeteiligungVerlaufImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return WahlbeteiligungVerlaufImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.WAHLBETEILIGUNG_VERLAUF;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLBETEILIGUNG_VERLAUF_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlbeteiligungPageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_UNVERAENDERT_LASSEN;
  }
}
